import { Done } from '../../../../../Class/Functional/Done';
import { Graph } from '../../../../../Class/Graph';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { GraphBundle } from '../../../../../types/GraphClass';
export interface I {
    graph: GraphBundle;
    done: any;
}
export interface O {
    graph: Graph;
}
export default class New extends Holder<I, O> {
    private _graph;
    constructor(system: System);
    f({ graph: Class }: I, done: Done<O>): void;
    d(): void;
}
